org.eclipse.viatra.query.runtime.localsearch.matcher

## Class LocalSearchMatcher

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.matcher.LocalSearchMatcher

- All Implemented Interfaces:
    ILocalSearchAdaptable

      public final class LocalSearchMatcher
      extends java.lang.Object
      implements ILocalSearchAdaptable

  No Instantiate:
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchMatcher(ISearchContext searchContext, IPlanDescriptor planDescriptor, java.util.List<SearchPlan> plan)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdapter(ILocalSearchAdapter adapter)`
    `void` | `addAdapters(java.util.List<ILocalSearchAdapter> adapters)`
    `java.util.List<ILocalSearchAdapter>` | `getAdapters()`
    `int` | `getParameterCount()`
    `java.util.List<SearchPlanExecutor>` | `getPlan()`
    `IPlanDescriptor` | `getPlanDescriptor()`
    `PQuery` | `getQuerySpecification()` Returns the query specification this matcher used as source for the implementation
    `void` | `removeAdapter(ILocalSearchAdapter adapter)`
    `void` | `removeAdapters(java.util.List<ILocalSearchAdapter> adapters)`
    `java.util.stream.Stream<Tuple>` | `streamMatches(java.lang.Object[] parameterValues)`
    `java.util.stream.Stream<Tuple>` | `streamMatches(TupleMask parameterSeedMask, ITuple parameterValues)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSearchMatcher

          public LocalSearchMatcher(ISearchContext searchContext,
                                    IPlanDescriptor planDescriptor,
                                    java.util.List<SearchPlan> plan)

      Since:
        2.0

  - ### Method Detail

    - #### getPlan

          public java.util.List<SearchPlanExecutor> getPlan()

      Since:
        2.0

    - #### getAdapters

          public java.util.List<ILocalSearchAdapter> getAdapters()

      Specified by:
        `getAdapters` in interface `ILocalSearchAdaptable`

    - #### addAdapter

          public void addAdapter(ILocalSearchAdapter adapter)

      Specified by:
        `addAdapter` in interface `ILocalSearchAdaptable`

    - #### removeAdapter

          public void removeAdapter(ILocalSearchAdapter adapter)

      Specified by:
        `removeAdapter` in interface `ILocalSearchAdaptable`

    - #### addAdapters

          public void addAdapters(java.util.List<ILocalSearchAdapter> adapters)

      Specified by:
        `addAdapters` in interface `ILocalSearchAdaptable`

    - #### removeAdapters

          public void removeAdapters(java.util.List<ILocalSearchAdapter> adapters)

      Specified by:
        `removeAdapters` in interface `ILocalSearchAdaptable`

    - #### getParameterCount

          public int getParameterCount()

    - #### streamMatches

          public java.util.stream.Stream<Tuple> streamMatches(java.lang.Object[] parameterValues)

      Since:
        2.0

    - #### streamMatches

          public java.util.stream.Stream<Tuple> streamMatches(TupleMask parameterSeedMask,
                                                              ITuple parameterValues)

      Since:
        2.0

    - #### getQuerySpecification

          public PQuery getQuerySpecification()

      Returns the query specification this matcher used as source for the implementation
      Returns:
        never null

    - #### getPlanDescriptor

          public IPlanDescriptor getPlanDescriptor()

      Since:
        1.5